Subject: RE: bug#8749: mkdir: feature request --reference

From: "Voelker, Bernhard" <[email-masked]>
Date: Mon, 30 May 2011 09:23:11 +0200

Bob Proulx wrote: 

> I generally dislike combining the functionality of several different
> commands into one command.  In this case combining mkdir and chmod and
> I don't see any reason they can't be used individually.  Plus mkdir
> already allows you to create directories with a specified permission
> and this is feature creep into the area of the 'install' command which
> also already allows creating directories of specified permissions.

well, 'mkdir --reference=file' could be the sister of 'touch -r file',
so creating a directory with both the perms and the timestamps of the
reference file/directory. I don't know when 'touch' has been enhanced
for '--reference' but wasn't it the same question then?

Have a nice day,
Berny